DocsAPI keys ▾
IntroductionQuickstartAuthenticationSending emailDomainsAPI keysSMTP relayWebhooksTemplatesBroadcastsAudiences & contactsSuppression listOpen & click trackingIP warm-upDeliverabilityAnalytics & logsLimits & errorsEmailsDomainsAPI keysAudiences & contactsBroadcastsTemplatesWebhooksSuppressionsMetrics
API reference
API keys API
Create, list and delete API keys. Requires a `full` access key.
Create API key
Creates a key. The token is returned only in this response, so store it securely.
POST/api-keys
Body parameters
| Name | Type | Description |
|---|---|---|
namerequired | string | A name to recognise the key, e.g. Production. |
permission | 'full' | 'sending_access' | Default full. |
domain_id | string | Limit the key to one sending domain. |
Request
curl -X POST 'https://api.mailvina.com/api-keys' \
-H 'Authorization: Bearer mv_xxxxxxxxx' \
-H 'Content-Type: application/json' \
-d '{
"name": "Production",
"permission": "sending_access"
}'Response
{
"id": "b6d24b8e-af0b-4c3c-be0c-359bbd97381e",
"token": "mv_123456789_abcdefghijklmnop"
}List API keys
Lists active keys. Tokens are never returned again.
GET/api-keys
Request
curl -X GET 'https://api.mailvina.com/api-keys' \
-H 'Authorization: Bearer mv_xxxxxxxxx'Response
{
"object": "list",
"data": [
{
"id": "b6d24b8e-af0b-4c3c-be0c-359bbd97381e",
"name": "Production",
"permission": "sending_access",
"created_at": "2026-11-14T10:00:00.000Z",
"last_used_at": "2026-11-14T10:00:00.000Z"
}
]
}Delete API key
Revokes a key. Requests using it fail immediately.
DELETE/api-keys/:id
Path parameters
| Name | Type | Description |
|---|---|---|
idrequired | string | The API key ID. |
Request
curl -X DELETE 'https://api.mailvina.com/api-keys/:id' \
-H 'Authorization: Bearer mv_xxxxxxxxx'Response
{
"id": "b6d24b8e-af0b-4c3c-be0c-359bbd97381e",
"revoked": true
}